Re: Backport some packages


Mikko Rapeli
 

Hi,

On Mon, Aug 31, 2020 at 11:32:56AM +0200, Alexander Kanavin wrote:
The best is to ask your BSP supplier to provide a new version of the BSP
that is compatible with recent Yocto versions.

Backporting userspace stuff is difficult or impossible.
For those who aren't afraid to digging deeper, it is possible to limit
the impact of BSP layers by e.g. restricting which recipes and bbappends
get applied in your product via BBMASK in distro config for example.
This enables much, much faster updates cycles since fixing one or two BSP recipes
for new yocto version is easier than waiting and possibly paying for a full
update with all bells and whistles.

In many cases users don't need all patches and changes provided in BSP SW layers.
In some cases they are even undesirable.

But yes, talking to BSP supplier(s) is a good start.

Cheers,

-Mikko

Alex

On Mon, 31 Aug 2020 at 10:52, <majid.nasiry65@gmail.com> wrote:

Hi
How can I backport some package (e.g php, cmake). My BSP only work in Krogoth
version and I want to use some new package (e.g from Sumo version).
I'm new in this stuffs. I don't know mybe the best way is I rewrite BSPs
and update whole project, anyway I don't know how can I do this too!

Please help

Join yocto@lists.yoctoproject.org to automatically receive all group messages.